/*
 * Created on 14.05.2004
 */
package vocleditor.figures;

import org.eclipse.draw2d.BendpointConnectionRouter;
import org.eclipse.draw2d.ConnectionLocator;
import org.eclipse.draw2d.Label;
import org.eclipse.draw2d.PolylineConnection;
import org.eclipse.draw2d.PolylineDecoration;
import org.eclipse.draw2d.geometry.PointList;

/**
 * @author Stefan
 * Creates an AssociationRole between two ClassifierRoles. 
 * Extends a PolylineConnection.
 */
public class AssociationRoleFigure extends PolylineConnection {

	/**
	 * Constructor
	 */
	public AssociationRoleFigure() {

		//adds an Arrow at the target end
		PolylineDecoration decoration = new PolylineDecoration();
		PointList decorationPointList = new PointList();
		decorationPointList.addPoint(-2, 2);
		decorationPointList.addPoint(0, 0);
		decorationPointList.addPoint(-2, -2);
		decoration.setTemplate(decorationPointList);
		setTargetDecoration(decoration);
//		ConnectionLocator cl = new ConnectionLocator(this,ConnectionLocator.MIDDLE);
//		Label l = new Label("afsafsdaf");
//		add(l,cl);
//		
		
		//adds a BendpointConnectionRouter for drawing Bendpoints
		setConnectionRouter(new BendpointConnectionRouter());
	}

}
