/*
 * $Id: IncompatibleAssociationRoleException.java,v 1.2 2004/11/09 09:49:37 haensgen Exp $
 */

package VoclToOclConverter;

/**
 * Exception which will be thrown when an association role is inconsistent
 * with a classifier role, i.e. if the classifier role is not the type of one
 * of the association end roles.
 */
public class IncompatibleAssociationRoleException extends Exception {

	public IncompatibleAssociationRoleException(String message) {
		super(message);
	}
}
